<?php

/************************************************************************
phpAce Web Zipper V1.0 2008-11-19
Copyright (c) 2008 Sam Yapp
http://www.phpace.com/scripts/web-zipper/
Support Forum: http://forum.phpace.com/

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

***************************************************************************/

define('PAWZ_INCLUDED', true);

error_reporting(E_ALL);

if( !isset($_SESSION) ) {
	session_start();
}

if( !file_exists(dirname(__FILE__) . '/config.php') ) {
    die('Configuration file not found.');
}
require_once dirname(__FILE__) . '/config.php';
require_once dirname(__FILE__) . '/functions.php';

// check that maximum upload size permitted by server configuration
$pawz_post_max_size = (int)ini_get('post_max_size');
$pawz_upload_max_filesize = (int)ini_get('upload_max_filesize');

if( $pawz_upload_max_filesize < $pawz_config['max_filesize'] ) {
    $pawz_config['max_filesize'] = $pawz_upload_max_filesize;
}

$pawz_translations = pawz_load_translations();

$pawz_template = 'zip';

$pawz_filename = 'archive.zip';

// clean up
if( mt_rand(0,$pawz_config['cleanup_frequency']) == 0 ) {
	pawz_clean_old_dirs();
}

$pawz_errors = array();

if( isset($_REQUEST['unzip']) ) {
	$pawz_action = 'unzip';
	$pawz_template = 'unzip';
	if( isset($_POST['upload_zip']) ) {
		pawz_set_zip($_FILES['zip_file']);
	}
	elseif( isset($_POST['download_file'] ) && isset($_POST['view_filename']) ) {
		pawz_download_file(get_magic_quotes_gpc() ? stripslashes($_POST['view_filename']) : $_POST['view_filename']);
	}
    elseif( isset($_POST['delete'])) {
        pawz_delete_zip();
    }
}
else {
	$pawz_action = 'zip';
	if( isset($_POST['add_files']) ) {
		pawz_add_files($_FILES['files']);
	}
	elseif( isset($_POST['download_zip'] ) ) {
		$pawz_filename = get_magic_quotes_gpc() ? stripslashes($_POST['filename']) : $_POST['filename'];
		pawz_download_zip();
	}
	elseif( isset($_POST['delete_file']) ) {
		pawz_delete_file($_POST['delete_filename']);
	}
	elseif( isset($_POST['delete_all']) ) {
		pawz_clean_user_dir();
	}
}

include dirname(__FILE__) . '/'.$pawz_config['template'];

